{"openapi":"3.0.0","info":{"version":"2.0.0","title":"2PAY - Business Model","description":"This is the API Documentation of the \"2PAY\" Business Model","contact":{"email":"m.beckmann@zeppelin-university.net"}},"paths":{"/users":{"get":{"tags":["users"],"summary":"Returns a list filled with all users that match some search criterium","description":"The call delivers a lit of users that match with some search criteria. The search criteria are definied in the query parameter *searchParameter*. This parameter is matched against the *userName*, *userCategory*, *userID* fiels of the user. The response contains an array of items as defined by the *users* schema.","operationId":"getUsers","parameters":[{"name":"searchParameter","in":"query","description":"Search parameter that is matched against the *userName*, *userCategory*, *UserID* and *city* fields of users.","required":false,"style":"form","explode":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns all users that match the search criteria."},"204":{"description":"no content."},"400":{"description":"Bad input parameter."},"500":{"description":"Internal server error."}}},"post":{"tags":["users"],"summary":"Adds a new user to the website and uploads its information.","description":"The call adds a new user to the BM by uploading its user information. The user information must follow the *user* schema. As a result of sucessful operation, the response contains the *Destination* header attribute with the URI of the new user.","operationId":"addUsers","requestBody":{"description":"User to be uploaded.","content":null}}}},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/MT_Beckmann/2PAY/1.0.0"}],"components":{"schemas":{"user":{"required":["userFirstname","userLastname","userTaxID","userPassword","userCategory","userTaxComp","userIBAN","userBIC"],"type":"user","properties":{"userFirstname":{"type":"string","example":"Max"},"userLastname":{"type":"string","example":"Steuermann"},"userTaxID":{"type":"string","example":"0987654"},"userPassword":{"type":"string","example":"SteuernSindBloed"},"userCategory":{"type":"array","example":["Endkunde","Kunde Steuerberatungsgesellschaft"]},"userTaxComp":{"type":"array","example":["KPMG","Deloitte","EY","pwc","andere"]},"userIBAN":{"type":"string","example":"DE00 0000 0000 0000 0000 00"},"userBIC":{"type":"string","example":"XXXXXXXXXXX"}}},"document":{"required":["documentName","documentType","documentNumber","documentStatus"],"type":"document","properties":{"documentName":{"type":"string","example":"Mietabrechnung"},"documentType":{"type":"array","example":["Steuerrelevant","Nicht steuerrelevant"]},"documentNumber":{"type":"string","example":123456},"documentStatus":{"type":"array","example":["OK hochladen","nicht OK hochladen"]}}},"tax consultancy":{"required":["taxcompName","taxcompID",null]}}}}